await seam.devices.listDeviceProviders();
/*
[
{
"can_program_online_access_codes": true,
"can_remotely_unlock": true,
"device_provider_name": "akiles",
"display_name": "Akiles",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",
"provider_categories": [
"stable",
"consumer_smartlocks"
]
}
]
*/{
"device_providers": [
{
"device_provider_name": "hotek",
"display_name": "<string>",
"image_url": "<string>",
"provider_categories": [
"stable"
],
"can_configure_auto_lock": true,
"can_hvac_cool": true,
"can_hvac_heat": true,
"can_hvac_heat_cool": true,
"can_program_offline_access_codes": true,
"can_program_online_access_codes": true,
"can_program_thermostat_programs_as_different_each_day": true,
"can_program_thermostat_programs_as_same_each_day": true,
"can_program_thermostat_programs_as_weekday_weekend": true,
"can_remotely_lock": true,
"can_remotely_unlock": true,
"can_run_thermostat_programs": true,
"can_simulate_connection": true,
"can_simulate_disconnection": true,
"can_simulate_hub_connection": true,
"can_simulate_hub_disconnection": true,
"can_simulate_paid_subscription": true,
"can_simulate_removal": true,
"can_turn_off_hvac": true,
"can_unlock_with_code": true
}
]
}List Device Providers
Returns a list of all device providers.
The information that this endpoint returns for each provider includes a set of capability flags, such as device_provider.can_remotely_unlock. If at least one supported device from a provider has a specific capability, the corresponding capability flag is true.
When you create a Connect Webview, you can customize the providers—that is, the brands—that it displays. In the /connect_webviews/create request, include the desired set of device provider keys in the accepted_providers parameter. See also Customize the Brands to Display in Your Connect Webviews.
await seam.devices.listDeviceProviders();
/*
[
{
"can_program_online_access_codes": true,
"can_remotely_unlock": true,
"device_provider_name": "akiles",
"display_name": "Akiles",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",
"provider_categories": [
"stable",
"consumer_smartlocks"
]
}
]
*/{
"device_providers": [
{
"device_provider_name": "hotek",
"display_name": "<string>",
"image_url": "<string>",
"provider_categories": [
"stable"
],
"can_configure_auto_lock": true,
"can_hvac_cool": true,
"can_hvac_heat": true,
"can_hvac_heat_cool": true,
"can_program_offline_access_codes": true,
"can_program_online_access_codes": true,
"can_program_thermostat_programs_as_different_each_day": true,
"can_program_thermostat_programs_as_same_each_day": true,
"can_program_thermostat_programs_as_weekday_weekend": true,
"can_remotely_lock": true,
"can_remotely_unlock": true,
"can_run_thermostat_programs": true,
"can_simulate_connection": true,
"can_simulate_disconnection": true,
"can_simulate_hub_connection": true,
"can_simulate_hub_disconnection": true,
"can_simulate_paid_subscription": true,
"can_simulate_removal": true,
"can_turn_off_hvac": true,
"can_unlock_with_code": true
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Category for which you want to list providers.
stable, consumer_smartlocks, beta, thermostats, noise_sensors, access_control_systems, cameras, connectors Response
OK
Show child attributes
Show child attributes
Was this page helpful?